%define module	Test-WWW-Mechanize
%define name	perl-%{module}
%define version 1.12
%define release %mkrel 1

Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License:	GPL or Artistic
Group:		Development/Perl
Summary:        Testing-specific WWW::Mechanize subclass
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Test/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(HTTP::Server::Simple)
BuildRequires:  perl(Carp::Assert::More)
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(URI)
BuildRequires:  perl(Test::LongString)
BuildRequires:  perl(WWW::Mechanize) 
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Test::WWW::Mechanize is a subclass of WWW::Mechanize that incorporates features
for web application testing.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Test
%{_mandir}/man3/*

%changelog
* Sat Jul 08 2006 Michael Scherer <misc@mandriva.org> 1.12-1mdv2007.0
- New release 1.12

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-1mdv2007.0
- New version 1.10
- spec cleanup

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.08-4mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 1.08-3mdk
- Do not ship empty dir

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 1.08-2mdk
- fix BuildRequires 

* Wed Dec 07 2005 Michael Scherer <misc@mandriva.org> 1.08-1mdk
- New release 1.08

* Sat Nov 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.06-4mdk
- Fix BuildRequires

* Fri Nov 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.06-3mdk
- Fix BuildRequires

* Fri Nov 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.06-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 1.06-1mdk
- First mandriva package
